char* reverse_string(char* string) {
long factorial(int n) {
struct Person { char* name; int age; };
void sort_numbers_ascending(int numbers[], int count) {
int is_prime(int n) {
struct CountryCapital { const char* country; const char* capital; };
long sum_numbers(int numbers[], int count) {
int largest_number(int numbers[], int count) {
struct Calculator {
void count_elements(int numbers[], int numbers_count, int elements[], int elements_count, int counts[]) {
float area_of_circle(float radius) {
typedef struct Car { char* make; char* model; int year; }
void common_elements(int a[], int a_count, int b[], int b_count, int** result, int* result_count) {
int is_palindrome(char* string) {
struct Person { const char* name; int age; const char* address; };
void remove_duplicates(int list[], int* list_count) {
int is_leap_year(int year) {
struct BankAccount { int (* deposit)(float amount); int (* withdraw)(float amount); };
char* find_largest_common_prefix(char** a, int a_count, char** b, int b_count) {
int is_event(int number) {
struct Rectangle { int length; int width; };
int average(int numbers[], int count) {
int is_valid_email(char* email) {
struct Rectangle { int length; int width; };
int find_smallest_element(int list[], int count) {
